import { HTMLAttributes } from 'react';
import { IconName } from '../../typings/iconNames';
import { CombinePropsAndAttributes } from '../../utils/types';
export interface ButtonSelfProps {
    text?: string;
    disabled?: boolean;
    fullSize?: boolean;
    onClick?: () => void;
    icon?: IconName | JSX.Element;
    className?: string;
}
export declare type ButtonProps = CombinePropsAndAttributes<ButtonSelfProps, HTMLAttributes<HTMLButtonElement>>;
export declare function Button({ disabled, onClick, icon, text, className, ...props }: ButtonProps): JSX.Element;
