/// <reference types="react" />
import { IconName } from '../../typings/iconNames';
import { IconProps } from '../icon';
export interface ListItemProps {
    onClick?: () => void;
    selected?: boolean;
    children: JSX.Element | string;
    to?: string;
    icon?: IconName;
    iconProps?: IconProps;
    className?: string;
}
export declare function ListItem({ icon, onClick, selected, className, children, to, iconProps, }: ListItemProps): JSX.Element;
